For the complete documentation index, see llms.txt. This page is also available as Markdown.

Redemption API

Redemption API is a collection of APIs that expose read data on redemptions.

To see APIs used in an example implementation check out the Redemption guide (below).

List the redeem requests (V1)

get

List redeem requests filtered by owner addresses and/or specific redeem IDs. At least one of owner or ids must be provided. When both are set the filters are combined (AND): only redeems whose ID is in the list AND whose owner is in the list are returned. IDs not found are silently omitted.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
ownerstringOptional

Owner address(es), comma-separated. Required if ids is not set.

idsstringOptional

Comma-separated list of redeem request IDs (max 500). Required if owner is not set.

display_ethbooleanOptional

Include claimable_amount_eth in response (default: true)

Responses
200

OK

application/json
claimable_amount_ethstringOptional

The possible amount available to claim in ETH (only present when display_eth is true)

claimable_amount_lsethstringOptional

The possible amount available to claim in LsETH

claimed_amount_ethstringOptional

The amount already claimed in ETH

claimed_amount_lsethstringOptional

The amount already claimed in LsETH

heightstringOptional

The height is the cumulative sum of all the sizes of preceding redeem requests

idintegerOptional

The ID of the redeem request

Example: 1048576
max_redeemable_amount_ethstringOptional

The maximum amount of ETH redeemable by this request

ownerstringOptional

The owner of the redeem request

requested_atintegerOptional

Block time

status_claimstring ยท enumOptionalPossible values:
status_satisfactionstring ยท enumOptionalPossible values:
timestampstringOptional

Timestamp

total_amount_lsethstringOptional

The amount of the redeem request in LsETH

withdrawal_event_idintegerOptional

The withdrawal event ID needed to claim the redeem (or -1 when no withdrawals available)

Example: 42
get/eth/v1/redeems
GET /eth/v1/redeems HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "claimable_amount_eth": "text",
    "claimable_amount_lseth": "text",
    "claimed_amount_eth": "text",
    "claimed_amount_lseth": "text",
    "height": "text",
    "id": 1048576,
    "max_redeemable_amount_eth": "text",
    "owner": "text",
    "requested_at": 1,
    "status_claim": "NOT_CLAIMED",
    "status_satisfaction": "PENDING_SATISFACTION",
    "timestamp": "text",
    "total_amount_lseth": "text",
    "withdrawal_event_id": 42
  }
]

Get a redeem request by id (V1)

get

Get a redeem request by the request id. Optionally includes claimable ETH amount.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idxintegerRequired

The redeem request id to query

Query parameters
display_ethbooleanOptional

Include claimable_amount_eth in response (default: true)

Responses
200

OK

application/json
claimable_amount_ethstringOptional

The possible amount available to claim in ETH (only present when display_eth is true)

claimable_amount_lsethstringOptional

The possible amount available to claim in LsETH

claimed_amount_ethstringOptional

The amount already claimed in ETH

claimed_amount_lsethstringOptional

The amount already claimed in LsETH

heightstringOptional

The height is the cumulative sum of all the sizes of preceding redeem requests

idintegerOptional

The ID of the redeem request

Example: 1048576
max_redeemable_amount_ethstringOptional

The maximum amount of ETH redeemable by this request

ownerstringOptional

The owner of the redeem request

requested_atintegerOptional

Block time

status_claimstring ยท enumOptionalPossible values:
status_satisfactionstring ยท enumOptionalPossible values:
timestampstringOptional

Timestamp

total_amount_lsethstringOptional

The amount of the redeem request in LsETH

withdrawal_event_idintegerOptional

The withdrawal event ID needed to claim the redeem (or -1 when no withdrawals available)

Example: 42
get/eth/v1/redeems/{idx}
GET /eth/v1/redeems/{idx} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "claimable_amount_eth": "text",
  "claimable_amount_lseth": "text",
  "claimed_amount_eth": "text",
  "claimed_amount_lseth": "text",
  "height": "text",
  "id": 1048576,
  "max_redeemable_amount_eth": "text",
  "owner": "text",
  "requested_at": 1,
  "status_claim": "NOT_CLAIMED",
  "status_satisfaction": "PENDING_SATISFACTION",
  "timestamp": "text",
  "total_amount_lseth": "text",
  "withdrawal_event_id": 42
}

Get a redeem request time projection

get

Get a redeem request time projection for becoming redeemable

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idxintegerRequired

The redeem request id to query

Responses
200

OK

application/json
projected_redeemable_atstringOptional
get/eth/v1/redeems/{idx}/projection
GET /eth/v1/redeems/{idx}/projection HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "projected_redeemable_at": "text"
}

List the redeem manager

get

List the withdrawal event height and redeem request height

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
total_amount_redeem_queue_lsethstringOptional

The cumulative sum of the redeem request heights

total_amount_withdrawal_stack_lsethstringOptional

The cumulative sum of the withdrawal event heights

get/eth/v1/redeems_info
GET /eth/v1/redeems_info HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total_amount_redeem_queue_lseth": "text",
  "total_amount_withdrawal_stack_lseth": "text"
}

Get the redeem manager time projection

get

Get the redeem manager time projection for being fulfilled

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
projected_fulfilled_atstringOptional
get/eth/v1/redeems_info/projection
GET /eth/v1/redeems_info/projection HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "projected_fulfilled_at": "text"
}

Returns validator exit queue info

get

Returns validator exit queue info, including time estimates.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
exit_time_hoursstringOptional
mandatory_exit_delay_hoursstringOptional
sweep_time_hoursstringOptional
get/eth/v1/validators/queue
GET /eth/v1/validators/queue HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "exit_time_hours": "text",
  "mandatory_exit_delay_hours": "text",
  "sweep_time_hours": "text"
}

Last updated

Was this helpful?